## org.apache.batik.gvt.font
Class AWTGlyphGeometryCache.Entry

    java.lang.Object
      java.lang.ref.Reference
          java.lang.ref.SoftReference
              org.apache.batik.gvt.font.AWTGlyphGeometryCache.Entry

Enclosing class:
  AWTGlyphGeometryCache

protected class AWTGlyphGeometryCache.Entry
extends java.lang.ref.SoftReference

To manage collisions

Field Summary
`char` `c` The character
`int` `hash` The hash code
`AWTGlyphGeometryCache.Entry` `next` The next entry

Constructor Summary
`AWTGlyphGeometryCache.Entry(int hash, char c, AWTGlyphGeometryCache.Value value, AWTGlyphGeometryCache.Entry next)` Creates a new entry

Method Summary
`boolean` `match(char o2)` Whether this entry match the given keys.

Methods inherited from class java.lang.ref.SoftReference
`get`

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, isEnqueued`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    public int hash

  The hash code

### c

    public char c

  The character

### next

    public AWTGlyphGeometryCache.Entry next

  The next entry

Constructor Detail

### AWTGlyphGeometryCache.Entry

    public AWTGlyphGeometryCache.Entry(int hash,
                                       char c,
                                       AWTGlyphGeometryCache.Value value,
                                       AWTGlyphGeometryCache.Entry next)

  Creates a new entry

Method Detail

### match

    public boolean match(char o2)

  Whether this entry match the given keys.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.